
AC_DEFUN(AC_PATH_QT,
[
AC_MSG_CHECKING([for QT])
ac_qt_includes=NO ac_qt_libraries=NO
qt_libraries=""
qt_includes=""
qt_binaries=""

AC_ARG_WITH(qt-dir,
	[  --with-qt-dir           where the root of qt is installed ],
	[ QTDIR="$withval" ],
	[ QTDIR=/usr/local/qt ])

AC_ARG_WITH(qt-includes,
	[  --with-qt-includes     where the qt includes are installed ],
	[ qt_includes="$withval" ],
	[ qt_includes=$QTDIR/include ])

AC_ARG_WITH(qt-libraries,
	[  --with-qt-libraries     where the qt library is installed ],
	[ qt_libraries="$withval" ],
	[ qt_libraries=$QTDIR/lib ])

AC_ARG_WITH(qt-binaries,
	[  --with-qt-binaries     where the qt binaries are installed ],
	[ qt_binaries="$withval" ],
	[ qt_binaries=$QTDIR/bin ])

if test ! -f $qt_includes/qapplication.h ; then
	AC_MSG_ERROR([configure couldn't find QT includes ]) ;
fi ;
if test ! -f $qt_libraries/libqt.so ; then
	AC_MSG_ERROR([configure couldn't find QT library ]) ;
fi ;

AC_MSG_RESULT(yes)
])

AC_DEFUN(AC_PROG_MOC,
[
AC_PATH_PROG(MOC, moc, /usr/bin/moc,
 $QTDIR/bin:$qt_binaries:$PATH:/usr/bin:/usr/X11R6/bin:/usr/lib/qt/bin:/usr/local/qt/bin)

AC_MSG_CHECKING([if moc is working])
cat > $$moctest.h <<EOF
#include <qwidget.h>
class Test : public QWidget
{
Q_OBJECT
public: 
Test();
public slots:
void slotTest();
signals:
void sigTest();
};
EOF

$MOC -o $$moctest.moc $$moctest.h

if test -f $$moctest.moc ; then
	AC_MSG_RESULT(yes)
else
	AC_MSG_ERROR([couldn't run the meta object compiler form QT])
fi ;
rm -f $$moctest.moc $$moctest.h
])

