/*!
  \file main.cc
  \brief The file containing main() function.
*/
#include "qpromptshow.h"

/*!
  The simpliest possible main function:

  <tt>
  int main( int argc, char** argv )<br>
  {<br>
    QPromptShow app( argc, argv );<br>
    <br>
    app.exec();<br>
  }<br>
  </tt>
*/
int main( int argc, char** argv )
{
  QPromptShow app( argc, argv );

  app.exec();

  return 0;
}

/*! \mainpage
  The <tt>promptshow</tt> program can be used to convienently show a
  list of prompts one by one on a screen. The prompts must be prepared 
  in a simple text file with one prompt per line and may be formatted
  (see QBigTextWidget description).

  This is how it looks like:

  \image html screenshot.gif
  \image latex screenshot.eps width=10cm

  Download the sources:

  <tt>
  \htmlonly 
  <a href="promptshow-1.1.tar.gz">promptshow-1.1.tar.gz</a>
  \endhtmlonly
  \latexonly

http://www.kbs.twi.tudelft.nl/People/Staff/J.C.Wojdel/PromptShow/promptshow-1.1.tar.gz
  \endlatexonly
  </tt>
  
  \htmlonly
  <a href="ChangeLog">ChangeLog</a>
  \endhtmlonly
*/
